import { genStyleHooks } from "../../theme/genStyleUtils.js";
import genFolderStyle, { genFilePreviewStyle } from "./folder.js";
import { mergeToken } from "@antdv-next/cssinjs/cssinjs-utils";
//#region components/folder/style/index.ts
var prepareComponentToken = (token) => ({ colorBgDirectory: token.colorFillTertiary });
var style_default = genStyleHooks("Folder", (token) => {
	const folderToken = mergeToken(token, {});
	return [genFolderStyle(folderToken), genFilePreviewStyle(folderToken)];
}, prepareComponentToken);
//#endregion
export { style_default as default, prepareComponentToken };
